DH_COMPRESS(1)

NOM
dh_compress - Compresser les fichiers dans le répertoire de construction du paquet et modifier les liens symboliques en conséquence

SYNOPSIS
dh_compress [options_de_debhelper] [-Xélément] [-A] [fichier ...]

DESCRIPTION
dh_compress est un programme de la suite debhelper chargé de compresser les fichiers dans le répertoire de construction du paquet. Il est également chargé de s'assurer que tous les liens symboliques qui pointaient sur les fichiers avant leur compression sont actualisés pour pointer sur les fichiers compressés.

Par défaut, dh_compress compresse les fichiers que la Charte Debian indique comme devant être compressés. Cela concerne tous les fichiers de usr/share/info, usr/share/man, tous les fichiers changelog ainsi que les polices PCF stockées dans usr/share/fonts/X11/. Il compressera également les fichiers de usr/share/doc qui font plus de 4 ko, à l'exception du fichier de copyright, des fichiers suffixés par .html et des autres fichiers web, des fichiers d'images et des fichiers qui paraissent, de par leur extension, avoir déjà été compressés.

FICHIERS

debian/paquet.compress
    Ces fichiers sont obsolètes.

    Si ce fichier existe, les fichiers par défaut ne seront pas compressés et ce fichier sera exécuté comme un script par l'interpréteur de commandes (shell). Tous les fichiers dont les noms seront générés par ce script seront compressés. Ce script sera exécuté dans le répertoire de construction du paquet. Nota : L'utilisation de -X est, généralement, une bien meilleure idée. Il ne faut utiliser un fichier debian/paquet.compress que si c'est vraiment indispensable.

OPTIONS

-Xélément, --exclude=élément
    Permet d'exclure de la compression les fichiers qui comportent élément n'importe où dans leur nom. Par exemple, -X.tiff exclura de la compression les fichiers d'extension .tiff. Cette option peut être employée plusieurs fois afin d'exclure une liste d'éléments.

-A, --all
    Compresse tous les fichiers indiqués dans la ligne de commande et ce dans tous les paquets construits.

fichier ...
    Ajoute ces fichiers à la liste des fichiers à compresser.

CONFORMITÉ
Charte Debian, version 3.0

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».